質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.44%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Q&A

1回答

17844閲覧

BeautifulSoup4でlxmlが使えない

退会済みユーザー

退会済みユーザー

総合スコア0

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

2グッド

2クリップ

投稿2017/10/28 10:17

python

1import requests 2from bs4 import BeautifulSoup 3 4url = 'http://xxx.xxx.xxx/' 5 6r = requests.get(url) 7soup = BeautifulSoup(r.text, 'lxml')

このコードを実行すると
bs4.FeatureNotFound: Couldn't find a tree builder with the features you requested: lxml. Do you need to install a parser library?
というエラーが出てしまいます

###検証したこと
lxmlもpipでinstall済みです
lxmlのバージョンを3.7.3まで下げるとエラーは消えます。(3.8.0だとNG)

###バージョン情報
python:3.6.0
beautifulsoup:4.6.0
lxml:4.1.0

バージョン系のバグかなとも思ってもいるのですが・・・
それだったら、少しは同じような状況になってる人が良そうな気もしたんですが、見つからず
(だいたいの解決策が、lxmlをインストールしろという回答で・・)

よろしくお願いします

nappy, singlestroke👍を押しています

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

自分の環境でも同様のエラーが発生していましたが、下記のように lxml インストール後に正常に実行できるようになりました。

pip3 install lxml

lxmlのバージョンを3.7.3まで下げるとエラーは消えます。(3.8.0だとNG)

バージョンによる制限事項も当時あったかもしれないですね。
現在は 4.3.3 で特に問題はないようです。

投稿2019/05/21 13:03

ykws

総合スコア1236

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

まだベストアンサーが選ばれていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.44%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問